# Notification Rule Create

POST /platform/notification-rules: Creates a notification rule: the event scope (e.g. new_issue_detected), an optional strategy (conditions such as asset…

Source: https://docs.deepinfo.com/reference/platform/notification-rule-create/

Last updated: 2026-09-27

---
`POST https://api.deepinfo.com/v1/platform/notification-rules`

Creates a notification rule: the event `scope` (e.g. `new_issue_detected`), an optional `strategy` (conditions such as asset, severity, tags), `frequency` (`instant`, `hourly`, `daily`, `weekly`, `monthly`), `delivery_hour` / `delivery_day_of_week` and the team `members` (user ids) to email.

## Authentication

Send your API key in the `apikey` request header.

## Request Body

| Parameter | Type | Required | Description |
|---|---|---|---|
| `name` | string | Required | min length `1`; max length `255` |
| `scope` | string | Required | One of `new_issue_detected`, `reappeared_issue_detected`, `asset_security_score_decreased`, `asset_security_score_changed`, `asset_ssl_changed`, `asset_whois_changed`, `asset_dns_changed`, `domain_security_score_decreased`, `domain_security_score_changed`, `new_asset_discovered`, `new_asset_added`, `new_vulnerability_detected`, `reappeared_vulnerability_detected`, `new_email_breach_detected`, `new_suspicious_domain_detected`, `new_fraudulent_domain_detected`, `new_open_port_detected`, `new_employee_credential_detected`, `new_client_credential_detected`, `new_payment_credential_detected`, `new_cybersecurity_news_added` |
| `strategy` | object | Optional |  |
| `frequency` | string | Optional | One of `instant`, `hourly`, `daily`, `weekly`, `monthly` |
| `delivery_hour` | integer | Optional | min `0.0`; max `23.0` |
| `delivery_day_of_week` | integer | Optional | min `0.0`; max `6.0` |
| `members` | array | Required | min items `1` |
| `enabled` | boolean | Optional |  |

```json
{
  "name": "Critical issues",
  "scope": "new_asset_added",
  "frequency": "daily",
  "delivery_hour": 8,
  "members": [
    "00000000-0000-4000-8000-00006bb60001"
  ],
  "enabled": true
}
```

## Response Fields

| Field | Type | Description |
|---|---|---|
| `id` | string |  |
| `name` | string |  |
| `scope` | string | One of `new_issue_detected`, `reappeared_issue_detected`, `asset_security_score_decreased`, `asset_security_score_changed`, `asset_ssl_changed`, `asset_whois_changed`, `asset_dns_changed`, `domain_security_score_decreased`, `domain_security_score_changed`, `new_asset_discovered`, `new_asset_added`, `new_vulnerability_detected`, `reappeared_vulnerability_detected`, `new_email_breach_detected`, `new_suspicious_domain_detected`, `new_fraudulent_domain_detected`, `new_open_port_detected`, `new_employee_credential_detected`, `new_client_credential_detected`, `new_payment_credential_detected`, `new_cybersecurity_news_added` |
| `frequency` | string | One of `instant`, `hourly`, `daily`, `weekly`, `monthly` |
| `delivery_hour` | integer |  |
| `delivery_day_of_week` | integer |  |
| `members` | array of object |  |
| `enabled` | boolean |  |
| `added_date` | string | date-time |
| `last_update_date` | string | date-time |
| `strategy` | object |  |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `id` | string |
| `name` | string |
| `scope` | string |
| `frequency` | string |
| `delivery_hour` | number |
| `delivery_day_of_week` | null |
| `members` | array<object> |
| `members[].team_member_uuid` | string |
| `members[].email` | string |
| `enabled` | boolean |
| `added_date` | string |
| `last_update_date` | string |
| `strategy` | null |

## Examples

### 201 · Created

```bash
curl -X POST 'https://api.deepinfo.com/v1/platform/notification-rules' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Critical issues",
  "scope": "new_asset_added",
  "frequency": "daily",
  "delivery_hour": 8,
  "members": [
    "00000000-0000-4000-8000-00006bb60001"
  ],
  "enabled": true
}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "id": "000000000000000e8e040001",
  "name": "Critical issues",
  "scope": "new_asset_added",
  "frequency": "daily",
  "delivery_hour": 8,
  "delivery_day_of_week": null,
  "members": [
    {
      "team_member_uuid": "00000000-0000-4000-8000-0000f3aa0001",
      "email": "user@acme.example"
    }
  ],
  "enabled": true,
  "added_date": "2025-06-01T08:00:00Z",
  "last_update_date": "2025-07-01T08:00:00Z",
  "strategy": null
}
```

### 400 · Validation Error (empty body {})

```bash
curl -X POST 'https://api.deepinfo.com/v1/platform/notification-rules' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{}'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "name",
      "details": [
        "This field is required."
      ]
    },
    {
      "param": "scope",
      "details": [
        "This field is required."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
